cascading.property

## Class PropertyUtil

- java.lang.Object
- - cascading.property.PropertyUtil

-     public class PropertyUtil
      extends java.lang.Object

  Class PropertyUtil is a static helper class for handling properties.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PropertyUtil()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.util.Map<java.lang.Object,java.lang.Object>` | `asFlatMap(java.util.Map<java.lang.Object,java.lang.Object> properties)`
    `static java.util.Properties` | `createProperties(java.lang.Iterable<java.util.Map.Entry<java.lang.String,java.lang.String>> defaultProperties)`
    `static java.util.Properties` | `createProperties(java.util.Map<java.lang.Object,java.lang.Object> properties, java.util.Properties defaultProperties)`
    `static boolean` | `getBooleanProperty(java.util.Map<java.lang.Object,java.lang.Object> properties, java.lang.String property, boolean defaultValue)`
    `static boolean` | `getBooleanProperty(java.util.Properties defaultProperties, java.util.Map<java.lang.Object,java.lang.Object> properties, java.lang.String property, boolean defaultValue)`
    `static int` | `getIntProperty(java.util.Map<java.lang.Object,java.lang.Object> properties, java.lang.String property, int defaultValue)`
    `static int` | `getIntProperty(java.util.Properties defaultProperties, java.util.Map<java.lang.Object,java.lang.Object> properties, java.lang.String property, int defaultValue)`
    `static java.lang.String` | `getProperty(java.util.Map<java.lang.Object,java.lang.Object> properties, ConfigDef configDef, java.lang.String property)`
    `static java.lang.String` | `getProperty(java.util.Map<java.lang.Object,java.lang.Object> properties, ScopedElement flowElement, java.lang.String property)`
    `static java.lang.String` | `getProperty(java.util.Map<java.lang.Object,java.lang.Object> properties, java.lang.String property)`
    `static <A> A` | `getProperty(java.util.Map<java.lang.Object,java.lang.Object> properties, java.lang.String key, A defaultValue)`
    `static java.lang.String` | `getStringProperty(java.util.Map<java.lang.Object,java.lang.Object> properties, java.lang.String property)`
    `static java.lang.String` | `getStringProperty(java.util.Properties defaultProperties, java.util.Map<java.lang.Object,java.lang.Object> properties, java.lang.String property)`
    `static void` | `setProperty(java.util.Map<java.lang.Object,java.lang.Object> properties, java.lang.String key, java.lang.String value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PropertyUtil

          public PropertyUtil()

  - ### Method Detail

    - #### getProperty

          public static java.lang.String getProperty(java.util.Map<java.lang.Object,java.lang.Object> properties,
                                     java.lang.String property)

    - #### getBooleanProperty

          public static boolean getBooleanProperty(java.util.Map<java.lang.Object,java.lang.Object> properties,
                                   java.lang.String property,
                                   boolean defaultValue)

    - #### getBooleanProperty

          public static boolean getBooleanProperty(java.util.Properties defaultProperties,
                                   java.util.Map<java.lang.Object,java.lang.Object> properties,
                                   java.lang.String property,
                                   boolean defaultValue)

    - #### getIntProperty

          public static int getIntProperty(java.util.Map<java.lang.Object,java.lang.Object> properties,
                           java.lang.String property,
                           int defaultValue)

    - #### getIntProperty

          public static int getIntProperty(java.util.Properties defaultProperties,
                           java.util.Map<java.lang.Object,java.lang.Object> properties,
                           java.lang.String property,
                           int defaultValue)

    - #### getStringProperty

          public static java.lang.String getStringProperty(java.util.Map<java.lang.Object,java.lang.Object> properties,
                                           java.lang.String property)

    - #### getStringProperty

          public static java.lang.String getStringProperty(java.util.Properties defaultProperties,
                                           java.util.Map<java.lang.Object,java.lang.Object> properties,
                                           java.lang.String property)

    - #### getProperty

          public static <A> A getProperty(java.util.Map<java.lang.Object,java.lang.Object> properties,
                          java.lang.String key,
                          A defaultValue)

    - #### getProperty

          public static java.lang.String getProperty(java.util.Map<java.lang.Object,java.lang.Object> properties,
                                     ScopedElement flowElement,
                                     java.lang.String property)

    - #### getProperty

          public static java.lang.String getProperty(java.util.Map<java.lang.Object,java.lang.Object> properties,
                                     ConfigDef configDef,
                                     java.lang.String property)

    - #### setProperty

          public static void setProperty(java.util.Map<java.lang.Object,java.lang.Object> properties,
                         java.lang.String key,
                         java.lang.String value)

    - #### createProperties

          public static java.util.Properties createProperties(java.lang.Iterable<java.util.Map.Entry<java.lang.String,java.lang.String>> defaultProperties)

    - #### createProperties

          public static java.util.Properties createProperties(java.util.Map<java.lang.Object,java.lang.Object> properties,
                                              java.util.Properties defaultProperties)

    - #### asFlatMap

          public static java.util.Map<java.lang.Object,java.lang.Object> asFlatMap(java.util.Map<java.lang.Object,java.lang.Object> properties)

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.